Package Details: proxmox-backup-client 1.0.1-1

Git Clone URL: https://aur.archlinux.org/proxmox-backup-client.git (read-only, click to copy)
Package Base: proxmox-backup-client
Description: Client for Proxmox Backup Server
Upstream URL: https://www.proxmox.com
Keywords: backup proxmox rust
Licenses: AGPL3
Submitter: flumm
Maintainer: flumm (tommitscheck)
Last Packager: tommitscheck
Votes: 6
Popularity: 2.21
First Submitted: 2020-07-15 08:23
Last Updated: 2020-11-11 13:57

Latest Comments

cebner commented on 2020-11-11 16:58

Version 1.0 is out, super nice! Congratulations to the Proxmox developers for this nice work!

uffsalot commented on 2020-11-05 11:59

Any updates on this? Currently 0.9.5-1 is out.

OJaksch commented on 2020-09-06 11:21

@cebner Great catchup, that works and I can build it as normal. Many thanks!

cebner commented on 2020-09-06 10:40

@OJaksch this might be related to a known issue in rustc https://github.com/rust-lang/rust/issues/54540 and seems to occur more frequently with rustc 1.46.0.

As a workaround, for now you can build with a previous version of rustc e.g. rustc 1.45.2.

rustup toolchain install 1.45.2
rustup default 1.45.2

and when done you can go back to the stable toolchain

rustup default stable

OJaksch commented on 2020-09-05 05:55

Can't compile 0.8.14. Any idea?

   Compiling pin-project v0.4.23
   Compiling futures-util v0.3.5
   Compiling zstd-safe v1.4.13+zstd.1.4.3
   Compiling zstd v0.4.28+zstd.1.4.3
   Compiling handlebars v3.4.0
   Compiling futures-executor v0.3.5
   Compiling h2 v0.2.6
   Compiling futures v0.3.5
   Compiling pxar v0.6.0 (git://git.proxmox.com/git/pxar.git?rev=aef2fafe275bf6efe801652b3e767b8d6d6a7abf#aef2fafe)
   Compiling proxmox-fuse v0.1.0 (git://git.proxmox.com/git/proxmox-fuse.git#700f56b3)
   Compiling hyper v0.13.7
   Compiling proxmox v0.3.4 (git://git.proxmox.com/git/proxmox.git?rev=001f2525fa15b4f598ca08b6417e335071668aa5#001f2525)
   Compiling proxmox-backup v0.8.14 (/tmp/makepkg/proxmox-backup-client/src/proxmox-backup-client-0.8.14)
error: reached the type-length limit while instantiating `<std::boxed::Box<std::future::fr...>, ()}]>, ()}]>, ()}]>>>>>::into`
    |
    = note: consider adding a `#![type_length_limit="1078687"]` attribute to your crate

error: aborting due to previous error

error: could not compile `proxmox-backup`.

flumm commented on 2020-08-02 08:18

sorry it took so long for an update, should be working now (and updated to 0.8.9)

uffsalot commented on 2020-07-31 19:14

Build fails currently:

==> Starting build()...
    Updating crates.io index
    Updating git repository `git://git.proxmox.com/git/pathpatterns.git`
    Updating git repository `git://git.proxmox.com/git/proxmox.git`
    Updating git repository `git://git.proxmox.com/git/proxmox-fuse.git`
    Updating git repository `git://git.proxmox.com/git/pxar.git`
error: failed to select a version for the requirement `proxmox = "^0.2.0"`
  candidate versions found which didn't match: 0.3.0
  location searched: Git repository git://git.proxmox.com/git/proxmox.git
required by package `proxmox-backup v0.8.7 (/tmp/yaourt-tmp-jan/aur-proxmox-backup-client/src/proxmox-backup-client-0.8.7)`
==> ERROR: A failure occurred in build().
    Aborting...
==> ERROR: Makepkg was unable to build proxmox-backup-client.